### org.jfree.layouting.modules.output.graphics

# Interface PageDrawable

Known Implementing Classes:
  LogicalPageDrawable, PhysicalPageDrawable

`public interface PageDrawable`

Creation-Date: 10.11.2006, 19:28:15

Author:
  Thomas Morgner

  ## Method Summary

  `void`

  `draw(Graphics2D g2, Rectangle2D area)`
    Draws the object.

  `PageFormat`

  `getPageFormat()`
    Describes the physical output characteristics like page size, margins, and imaginable area.

  `Dimension`

  `getPreferredSize()`
    Returns the preferred size of the drawable.

  `boolean`

  `isPreserveAspectRatio()`
    Returns true, if this drawable will preserve an aspect ratio during the drawing.

## Method Details

### draw

    public void draw(Graphics2D g2,
                     Rectangle2D area)

> Draws the object.
> Parameters:
>   `g2` - the graphics device.
>   `area` - the area inside which the object should be drawn.

### getPageFormat

    public PageFormat getPageFormat()

> Describes the physical output characteristics like page size, margins, and imaginable area.
> Returns:

### getPreferredSize

    public Dimension getPreferredSize()

> Returns the preferred size of the drawable. If the drawable is aspect ratio aware, these bounds should be used to compute the preferred aspect ratio for this drawable.
> Returns:
>   the preferred size.

### isPreserveAspectRatio

    public boolean isPreserveAspectRatio()

> Returns true, if this drawable will preserve an aspect ratio during the drawing.
> Returns:
>   true, if an aspect ratio is preserved, false otherwise.